<?php

if (!function_exists('smarty_modifier_explode')) {
    function smarty_modifier_explode($string, $separator, $limit = PHP_INT_MAX)
    {
        if (function_exists('smarty_modifier_explode_mb')) {
            return smarty_modifier_explode_mb($string, $separator, $limit);
        }
        return explode((string)$separator, (string)$string, (int)$limit);
    }
}
